Get Block Statistics
1. Overview & Typical Use
Returns network-wide block statistics, including total historical block count, block count in the last 24 hours, cumulative historical rewards, and TRX burned.
- Typical use: homepage statistics panel, blockchain network status overview, TRX deflation analysis.
- When not to use: for specific block details use “Get Block List or Single Block Detail”.
2. Endpoint & Authentication
GET /api/block/statistic
For Base URL and authentication, see Common Network & Authentication.
3. Request
Fields
No parameters required.
4. Response
Fields
| Field | Type | Required | Description | Unit/Precision |
|---|---|---|---|---|
whole_block_count | integer | Required | Total historical block count | — |
whole_pay | integer | Required | Cumulative historical block production rewards | TRX |
last_day_block_count | integer | Required | Block count in the last 24 hours | — |
last_day_pay | number | Required | Block production rewards in the last 24 hours | TRX |
last_day_total_burn | number | Required | Cumulative historical TRX burned | TRX |
last_day_burn | number | Required | TRX burned in the last 24 hours | TRX |
5. Errors
For HTTP status codes, see Common Errors. Notes for this endpoint:
- This endpoint has no request parameters and generally does not return errors.
Last updated on: